#
# spec file for package check_mk
#
# Copyright (c) 2013-2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           check_mk
Version:        1.2.4p5
Release:        5.3
Summary:        Nagios-plugin for retrieving data
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://mathias-kettner.de/checkmk_index.html
Source0:        http://mathias-kettner.de/download/%{name}-%{version}.tar.gz
Source1:        check_mk-rpmlintrc
Source2:        check_mk-logwatch.cfg
Source3:        check_mk-README.SUSE
Source4:        zzz_check_mk.conf
Source5:        permissions.check_mk
Source6:        permissions.mkeventd
Source7:        check_mk-mysql.cfg
Source8:        check_mk-livestatus-README.SUSE
#Source8:        permissions.mk-livestatus
Source9:        check_mk.service
Source10:       check_mk.socket
Source11:       check_mk-service.fw2
Source12:       check_mk-systemd-socket-activation.README.SUSE
Patch1:         setup.sh.patch
BuildRequires:  gcc-c++
BuildRequires:  nagios-rpm-macros
%if 0%{?suse_version}
BuildRequires:  apache2-devel
# unzip is needed for /usr/lib/rpm/brp-check-bytecode-version
BuildRequires:  unzip 
# diet is needed for eventd
BuildRequires:  dietlibc
PreReq:         permissions
%endif
%if 0%{?fedora_version} ||  0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  httpd-devel
%endif
%if 0%{?mandriva_version}
BuildRequires:  apache-devel
%endif
Requires(pre):  /bin/logger
Requires(pre):  coreutils
Requires(pre):  sed
Requires(pre):  xinetd
%if 0%{?suse_version}
Requires(pre):  permissions
%endif
Requires:       mk-livestatus
%if 0%{?suse_version} > 1030
BuildRequires:  fdupes
%endif
%if 0%{?sles_version}
BuildRequires:  unzip
%endif
# systemd
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
BuildRequires: systemd
%{?systemd_requires}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    no
%define         nnmmsg logger -t %{name}/rpm
%define         __debug_install_post   %{nil}

%description
Check_mk adopts a new a approach for collecting data
from operating systems and network components. It
obsoletes NRPE, check_by_ssh, NSClient and
check_snmp. It has many benefits, the most important
of which are:

* Significant reduction of CPU usage on the Nagios
* host.
* Automatic inventory of items to be checked on
* hosts.

%package agent
Summary:        Agent for check_mk
Group:          System/Monitoring
%if 0%{?suse_version}
Requires(pre):  %insserv_prereq
%endif
Requires(pre):  xinetd

%description agent
Check_mk adopts a new a approach for collecting data
from operating systems and network components. It
obsoletes NRPE, check_by_ssh, NSClient and
check_snmp. It has many benefits, the most important
of which are:

* Significant reduction of CPU usage on the Nagios
* host.
* Automatic inventory of items to be checked on
* hosts.

%package caching-agent
Group:          System/Monitoring
Requires:       xinetd
Summary:        Caching Linux-Agent for check_mk
AutoReq:        off
AutoProv:       off
Requires:       check_mk-agent

%description caching-agent
This package contains the agent for check_mk with an xinetd
configuration that wrap the agent with the check_mk_caching_agent
wrapper. Use it when doing fully redundant monitoring, where
an agent is regularily polled by more than one monitoring
server.
 
%package agent-logwatch
Summary:        Logwatch-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
Requires:       python redhat-rpm-config
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-logwatch
The logwatch plugin for the check_mk agent allows you to monitor
logfiles on Linux and UNIX. In one or more configuration files you
specify patters for log messages that should raise a warning or
critical state. For each logfile the current position is remembered.
This way only new messages are being sent.

%package agent-mysql
Summary:        MySQL-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
%if 0%{?suse_version}
Requires:       mysql-client
%endif
%if 0%{?centos_version} || 0%{?rhel} || 0%{?rhel_version} || 0%{?sl_version} || 0%{?fedora_version}
Requires:	mysql
%endif
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-mysql
The MySQL plugin for the check_mk agent allows you to monitor
several aspects of MySQL databases. You need to adapt the
config /etc/check_mk/mysql.cfg to your needs.

%package agent-oracle
Summary:        Oracle-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-oracle
The ORACLE plugin for the check_mk agent allows you to monitor
several aspects of ORACLE databases. You need to adapt the
script /etc/check_mk/sqlplus.sh to your needs.

%package agent-smart
Summary:        SMART-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
Requires:       smartmontools
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-smart
The SMART plugin for the check_mk agent allows you to monitor
several SMART values of harddisks.

%package agent-jolokia
Summary:    Jolokia-Plugin for check_mk agent
Group:      System/Monitoring
Requires:       check_mk-agent = %{version}
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-jolokia
The Jolokia plugin for the check_mk agent allows you to monitor
several aspect of Java application servers. You need to adapt the
config /etc/check_mk/jolokia.cfg  to your needs.

%package agent-apache_status
Summary:    Apache Status Plugin for check_mk agent
Group:      System/Monitoring
Requires:       check_mk-agent = %{version}
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-apache_status
The apache_status plugin for the check_mk agent allows you to monitor
and parses the information provided by the Apache status module. You
may need to adapt the config /etc/check_mk/apache_status,cfg to your
needs. It requires that Apache mod_status be loaded.

%package multisite
Summary:        Web GUI for displaying monitoring status information
Group:          System/Monitoring
Requires:       %{name} >= %{version}
Requires:       apache2
Requires:       apache2-mod_python
Requires:       pnp4nagios
Requires:       python redhat-rpm-config
%if 0%{?suse_version}
Requires(pre):  permissions
%endif
Provides:       %{name}-web = %{version}
Obsoletes:      %{name}-web < %{version}
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description multisite
This package contains the Check_mk webpages. They allow you to
search for services and apply Nagios commands to the search results.

%package vsphere
Summary:    Check state of VMWare ESX via vSphere
Group:          System/Monitoring
Requires:       %{name} >= %{version}
Requires:       python-pysphere
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description vsphere
This package handles dependencies for the server-side vsphere agent.
See http://mathias-kettner.de/checkmk_vsphere.html for details.


%package -n mkeventd
Summary:        Check_MK Event Console
Group:          System/Monitoring
Requires:       multisite

%description -n mkeventd
The Check_MK Event Console adds real and native event processing to Nagios
without loosing the advantages of the state based monitoring. It is not a
standalone system, but fully integrated into the Multisite GUI. By means of an
own daemon it can:

* Receive messages from syslog, the SNMP trap daemon or other applications
* Process them by applying a custom set of rules at a rate of 1.000 messages
  per second and faster
* Classify messages based on all of the messages' attributes
* Correlate messages it receives
* Aggregate multiple similar messages into single events
* Rewrite the content of messages or add comments
* Automatically execute actions
* Create events if certain messages do not arrive
* Provide a current event status directly as a view in the Multisite GUI
* and much more...


%package -n mk-livestatus
Summary:        Accessing status and historic Nagios data
Group:          System/Monitoring
%if 0%{?mandriva_version}
Recommends:     nagios
%endif
%if 0%{?suse_version}
Recommends:     monitoring_daemon
%endif

%description -n mk-livestatus
Just as NDO, Livestatus make use of the Nagios Event Broker API and loads a
binary module into your Nagios process. But other then NDO, Livestatus does not
actively write out data. Instead, it opens a socket by which data can be
retrieved on demand.

The socket allows you to send a request for hosts, services or other pieces of
data and get an immediate answer. The data is directly read from Nagios'
internal data structures. Livestatus does not create its own copy of that data.
Beginning from version 1.1.2 you are also be able retrieve historic data from
the Nagios log files via Livestatus.

This package works with Nagios and Icinga - please choose the correct livestatus
library for either Nagios 3.x and Icinga or Nagios 4 in %{livestatus_libdir}:
* livestatus.o => Nagios 3.x and Icinga
* livestatus-nagios4.o => Nagios 4.x


%prep
%setup -q
%patch1
install -m 0644 %{SOURCE6} permissions.mkeventd
touch debugsources.list
touch debugfiles.list

%build
# setup.sh will just copy a statical linked binary, so we do it on our own
tar -xf agents.tar.gz waitmax.c
gcc -s %{optflags} -o waitmax waitmax.c
install -m 644 %{SOURCE8} livestatus-README.SUSE

%install
%if 0%{?suse_version} && 0%{?suse_version} < 1120
export NO_BRP_CHECK_BYTECODE_VERSION=true
%endif

export bindir='%{_bindir}'
export confdir='%{livestatus_sysconfdir}'
export check_mk_configdir='%{livestatus_check_mk_configdir}'
export checksdir='%{livestatus_checksdir}'
export modulesdir='%{livestatus_modulesdir}'
export web_dir='%{livestatus_webdir}'
export mibsdir='%{_datadir}/snmp/mibs'
export docdir='%{_defaultdocdir}/%{name}'
export checkmandir='%{_defaultdocdir}/%{name}/checks'
export vardir='%{livestatus_vardir}'
export agentsdir='%{livestatus_agentsdir}'
export agentslibdir='%{livestatus_agentslibdir}'
export agentsconfdir='%{livestatus_agentsconfdir}'
export htdocsdir='%{livestatus_htdocsdir}'
export nagiosuser='%{nagios_user}'
export wwwuser='wwwrun'
export wwwgroup='%{nagios_command_group}'
export nagios_binary='%{_sbindir}/nagios'
export nagios_config_file='%{nagios_sysconfdir}/nagios.cfg'
export nagconfdir='%{livestatus_nagconfdir}'
%if 0%{?suse_version} >= 1310
export nagios_startscript='%{_sbindir}/rcnagios'
%else
export nagios_startscript='%{_sysconfdir}/init.d/nagios'
%endif
export nagpipe='%{nagios_command_file}'
export nagiosurl='/nagios'
export cgiurl='/nagios/cgi-bin'
export nagios_status_file='%{nagios_status_file}'
export check_icmp_path='%{nagios_plugindir}/check_icmp'
export checkmk_web_uri='/%{name}'
export apache_config_dir='%{_sysconfdir}/apache2/conf.d'
export htpasswd_file='%{nagios_sysconfdir}/htpasswd.users'
export nagios_auth_name='Nagios Access'
export pnpconfdir='%{pnp4nagios_sysconfdir}'
export pnprraconf='%{pnp4nagios_sysconfdir}'
export pnp_url='%{pnp4nagios_baseurl}'
export pnp_prefix='%{pnp4nagios_baseurl}/'
export rrddir='%{livestatus_rrddir}'
export pnptemplates='%{pnp4nagios_templatedir}'
export enable_livestatus='yes'
export libdir='%{livestatus_libdir}'
export livesock='%{livestatus_socket_file}'
export livebackendsdir='%{livestatus_livebackendsdir}'
export check_result_path='%{nagios_spooldir}'
export wwwuser='%{nagios_command_user}'
export DESTDIR=%{buildroot}
export enable_mkeventd='yes'
export mkeventdstatedir='/var/lib/mkeventd'
R=%{buildroot}

# install directories
install -d -m 755 %{buildroot}/$agentslibdir/{local,plugins,job}
install -d -m 755 %{buildroot}/${docdir}_agent
install -d -m 755 %{buildroot}/%{_sysconfdir}/init.d
install -d -m 755 %{buildroot}/%{livestatus_rrddir}
install -d -m 755 %{buildroot}/%{livestatus_socketdir}
install -d -m 755 %{buildroot}/%{livestatus_vardir}/rrd
install -d -m 755 %{buildroot}/%{livestatus_vardir}/wato
install -d -m 755 %{buildroot}/%{livestatus_vardir}/wato/{log,snapshots}
install -d -m 755 %{buildroot}/%{livestatus_vardir}/web
install -d -m 755 %{buildroot}/%{livestatus_check_mk_configdir}/wato
install -d -m 755 %{buildroot}/%{livestatus_check_mk_configdir}/multisite.d
install -d -m 755 %{buildroot}/%{livestatus_sysconfdir}/multisite.d
install -d -m 755 %{buildroot}/%{livestatus_sysconfdir}/multisite.d/wato
install -d -m 755 %{buildroot}/%{nagios_plugindir}
install -d -m 755 %{buildroot}/%{_sbindir}

# fix setup.sh to not use abuild for sudo call
sed -i 's/sudo -u $(id -un)/sudo -u root/' ./setup.sh

# install livestatus library for Nagios Version 4.x
export nagios_version=4.0
DESTDIR=%{buildroot} bash ./setup.sh --yes
mv %{buildroot}/%{livestatus_libdir}/livestatus.o %{buildroot}/%{livestatus_libdir}/livestatus-nagios4.o

# install livestatus library for Nagios Version 3.x
export nagios_version=3.5.0
DESTDIR=%{buildroot} bash ./setup.sh --yes

# auth.serials require for WATO/multisite
install -d -m 755 %{buildroot}/%{nagios_sysconfdir}
install -m 600 /dev/null %{buildroot}/%{nagios_sysconfdir}/auth.serials

# documentation
install -m 644 COPYING %{buildroot}/${docdir}_agent/
install -m 644 COPYING ChangeLog AUTHORS %{buildroot}/${docdir}/
install -m 644 %{SOURCE3} %{buildroot}/${docdir}/README.SUSE

# move files to the right place
install -m755 %{buildroot}%{livestatus_agentsdir}/check_mk_agent.linux %{buildroot}%{_bindir}/check_mk_agent
install -m755 %{buildroot}%{livestatus_agentsdir}/check_mk_caching_agent.linux %{buildroot}%{_bindir}/check_mk_caching_agent
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/mk_logwatch %{buildroot}%{livestatus_agentslibdir}/plugins

# mysql plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/mk_mysql %{buildroot}%{livestatus_agentslibdir}/plugins

# oracle plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/mk_oracle %{buildroot}%{livestatus_agentslibdir}/plugins
install -m755 %{buildroot}%{livestatus_agentsdir}/sqlplus.sh %{buildroot}%{livestatus_agentsconfdir}/

# smart plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/smart %{buildroot}%{livestatus_agentslibdir}/plugins

# jolokia plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/mk_jolokia %{buildroot}%{livestatus_agentslibdir}/plugins
install -m644 %{buildroot}%{livestatus_agentsdir}/jolokia.cfg %{buildroot}%{livestatus_agentsconfdir}/

# apache_status plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/apache_status %{buildroot}%{livestatus_agentslibdir}/plugins
install -m644 %{buildroot}%{livestatus_agentsdir}/apache_status.cfg %{buildroot}%{livestatus_agentsconfdir}/

# mk-job installation
install -m755 %{buildroot}%{livestatus_agentsdir}/mk-job %{buildroot}%{_bindir}/mk-job

install -m 755 waitmax %{buildroot}%{_bindir}
rm %{buildroot}%{livestatus_agentsdir}/waitmax*
ln -s %{_bindir}/waitmax %{buildroot}%{livestatus_agentsdir}/waitmax

# mkeventd
ln -s %{_sysconfdir}/init.d/mkeventd %{buildroot}%{_sbindir}/rcmkeventd
rm %{buildroot}%{nagios_plugindir}/*
pushd mkeventd.src/lib
make
install -D -m755 check_mkevents %{buildroot}%{nagios_plugindir}/check_mkevents
popd

# remove unneeded files
rm %{buildroot}%{livestatus_agentsdir}/windows/check_mk_agent.cc
rm %{buildroot}%{livestatus_agentsdir}/windows/Makefile

# install configuration for logwatch agent
install -m 644 %{SOURCE2} %{buildroot}/%{livestatus_agentsconfdir}/logwatch.cfg

# create logwatch directory
install -m 775 -d %{buildroot}/%{livestatus_vardir}/logwatch

# install configuration for mysql agent
install -m 644 %{SOURCE7} %{buildroot}/%{livestatus_agentsconfdir}/mysql.cfg

# install xinetd configuration
install -Dm 644 %{buildroot}/$agentsdir/xinetd.conf %{buildroot}%{_sysconfdir}/xinetd.d/%{name}
install -Dm 644 %{buildroot}/$agentsdir/xinetd_caching.conf %{buildroot}%{_sysconfdir}/xinetd.d/check_mk-caching

# install systemd service and socket units for socket activation
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
install -Dm 644 %{SOURCE9} %{buildroot}%{_unitdir}/%{name}-agent@.service
sed -e 's/-agent$/-caching-agent/' < %{buildroot}%{_unitdir}/%{name}-agent@.service > %{buildroot}%{_unitdir}/%{name}-caching-agent@.service
install -Dm 644 %{SOURCE10} %{buildroot}%{_unitdir}/%{name}-agent.socket
install -Dm 644 %{SOURCE10} %{buildroot}%{_unitdir}/%{name}-caching-agent.socket
install -m 644 %{SOURCE12} %{buildroot}/${docdir}_agent/README.systemd-socket-activation.SUSE
%endif

# remove softlink and install check_mk_templates.cfg
if [ -L "%{buildroot}/%{livestatus_nagconfdir}/check_mk_templates.cfg" ]; then
	rm %{buildroot}/%{livestatus_nagconfdir}/check_mk_templates.cfg
	install -Dm 644 %{buildroot}/%{_datadir}/check_mk/check_mk_templates.cfg %{buildroot}%{livestatus_nagconfdir}/check_mk_templates.cfg
fi

# install directory for snmp walk output
install -d -m755 %{buildroot}/%{livestatus_vardir}/snmpwalks

# install permissions file
install -Dm644 %{SOURCE5} %{buildroot}%{_sysconfdir}/permissions.d/check_mk

# fix permissions
chmod +x %{buildroot}%{livestatus_checksdir}/*
chmod +x %{buildroot}%{livestatus_modulesdir}/*.py
for file in $(find %{buildroot}%{livestatus_webdir} -name "*.py"); do
	chmod +x $file
done
find %{buildroot}/${docdir}/ -type f -exec chmod -x {} \;
chmod -x %{buildroot}%{livestatus_webdir}/htdocs/defaults.py

# make rpmlint happy
%if 0%{?suse_version} > 1030
%fdupes -s %{buildroot}/%{pnp4nagios_templatedir}
%fdupes -s %{buildroot}/%{livestatus_webdir}
%endif
strip %{buildroot}/%{_bindir}/unixcat

# install /usr/share/check_mk/modules/defaults into _sysconfdir and create a symlink
mv %{buildroot}%{livestatus_modulesdir}/defaults %{buildroot}/%{livestatus_sysconfdir}/%{name}-defaults
ln -s %{livestatus_sysconfdir}/%{name}-defaults %{buildroot}%{livestatus_modulesdir}/defaults

# apache config
install -m 644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/apache2/conf.d/
# apache sudo file
install -d -m 755 %{buildroot}%{_sysconfdir}/sudoers.d
cat >> %{buildroot}%{_sysconfdir}/sudoers.d/multisite << EOF
# Needed for  WATO - the Check_MK Web Administration Tool
Defaults:$wwwuser !requiretty
$wwwuser ALL = (root) NOPASSWD: $bindir/check_mk --automation *
EOF

# SuSEFirewall2 service file
install -Dm 644 %{SOURCE11} %{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/check_mk-service

%pre
# Create user and group on the system if necessary
%{nagios_user_group_add}
%{nagios_command_user_group_add}
if [ ${1:-0} -gt 1 ]; then
	# move the defaults config, if needed
	if [ -f %{livestatus_modulesdir}/defaults ]; then
		if [ ! -f %{livestatus_sysconfdir}/%{name}-defaults ]; then
			mv %{livestatus_modulesdir}/defaults %{livestatus_sysconfdir}/%{name}-defaults
			ln -s %{livestatus_sysconfdir}/%{name}-defaults %{livestatus_modulesdir}/defaults
		fi
	fi
fi

%post
%if 0%{?suse_version} < 01210
%run_permissions
%else
%set_permissions  %{_sysconfdir}/permissions.d/check_mk
%endif

%pre agent
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%service_add_pre %{name}-agent.socket %{name}-agent@.service
%endif

%post agent
# ensure xinetd is enabled if the package is installed for the first time
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%service_add_post xinetd.service
%service_add_post %{name}-agent.socket %{name}-agent@.service
%else
%if 0%{?suse_version}
%{fillup_and_insserv -y xinetd}
%else
chkconfig --add xinetd || :
chkconfig xinetd on || :
%endif
%endif

%preun agent
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%service_del_preun %{name}-agent.socket %{name}-agent@.service
%endif

%postun agent
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%service_del_postun xinetd.service
%service_del_postun %{name}-agent.socket %{name}-agent@.service
%else
%if 0%{?suse_version}
%restart_on_update xinetd
%else
service xinetd restart || :
%endif
%endif

%pre caching-agent
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%service_add_pre %{name}-caching-agent.socket %{name}-caching-agent@.service
%endif

%post caching-agent
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%service_add_post xinetd.service
%service_add_post %{name}-caching-agent.socket %{name}-caching-agent@.service
%else
%if 0%{?suse_version}
%{fillup_and_insserv -y xinetd}
%else
chkconfig --add xinetd || :
chkconifg xinetd on || :
%endif
%endif

%preun caching-agent
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%service_del_preun %{name}-caching-agent.socket %{name}-caching-agent@.service
%endif

%postun caching-agent
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%service_del_postun xinetd.service
%service_del_postun %{name}-caching-agent.socket %{name}-caching-agent@.service
%else
%if 0%{?suse_version}
%restart_on_update xinetd
%else
service xinetd restart || :
%endif
%endif

%post -n mk-livestatus
%if 0%{?suse_version} < 01210
%if 0%{?rhel} || 0%{?fedora_version} || 0%{?centos_version}
 :
%else
%run_permissions
%endif
%else
%set_permissions %{_sysconfdir}/permissions.d/mk-livestatus
%endif


%post multisite
%if 0%{?suse_version} > 1140
%set_permissions %{_sysconfdir}/permissions.d/check_mk
%else
%if 0%{?rhel} || 0%{?fedora_version} || 0%{?centos_version}
 :
%else
%run_permissions
%endif
%endif

%post -n mkeventd
echo "mkeventd_open514 permissions are not set, i.e not setuid. See
/usr/share/doc/packages/mkeventd/permissions.mkeventd for details
on resolving this on SUSE systems"
%if 0%{?suse_version}
%{fillup_and_insserv mkeventd}
%else
chkconfig --add mkeventd || :
%endif

%preun -n mkeventd
%if 0%{?suse_version}
%stop_on_removal mkeventd
%else
service mkeventd stop || :
%endif

%postun -n mkeventd
%if 0%{?suse_version}
%restart_on_update mkeventd
%{insserv_cleanup}
%else
service mkeventd restart || :
%endif


%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%dir %{livestatus_sysconfdir}
%dir %attr(0775,%{nagios_user},%{nagios_command_group})
%dir %{livestatus_check_mk_configdir}
%dir %attr(0775,%{nagios_user},%{nagios_command_group})
%dir %{livestatus_datadir}
%dir %{livestatus_datadir}/notifications
%{livestatus_datadir}/notifications/*
%dir %{livestatus_agentsdir}
%dir %{livestatus_agentsdir}/plugins
%dir %{livestatus_agentslibdir}
%dir %{livestatus_checksdir}
%dir %{livestatus_modulesdir}
%dir %{livestatus_notificationsdir}
%dir %{livestatus_nagconfdir}
%dir %{livestatus_rrddir}
%dir %{livestatus_libdir}
%dir %{pnp4nagios_datadir}
%dir %{pnp4nagios_templatedir}
%dir %{nagios_sysconfdir}
%dir %{livestatus_vardir}
%dir %{livestatus_vardir}/packages
%verify(not mode) %dir %{livestatus_vardir}
%verify(not mode) %dir %{livestatus_vardir}/packages
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/autochecks
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/cache
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/counters
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/precompiled
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/snmpwalks
%config(noreplace) %{livestatus_sysconfdir}/*.mk*
%config(noreplace) %{livestatus_sysconfdir}/%{name}-defaults
%config %{livestatus_check_mk_configdir}/README
%config(noreplace) %{_sysconfdir}/permissions.d/check_mk
%config(noreplace) %{livestatus_nagconfdir}/check_mk_templates.cfg
%{_datadir}/check_mk/check_mk_templates.cfg
%{livestatus_agentsdir}/*
%{livestatus_checksdir}/*
%{livestatus_modulesdir}/*
%{livestatus_notificationsdir}/*
%{pnp4nagios_templatedir}/*
%{_bindir}/check_mk
%{_bindir}/cmk
%{_bindir}/mkp
%{livestatus_vardir}/packages/check_mk
%verify(not mode) %{livestatus_vardir}/packages/check_mk
%exclude %{livestatus_sysconfdir}/logwatch.cfg
%exclude %{livestatus_sysconfdir}/multisite.d
%exclude %{livestatus_datadir}/web
%exclude %{livestatus_agentsdir}/plugins/mk_logwatch
%exclude %{livestatus_vardir}/packages/check_mk
%exclude %{livestatus_vardir}/logwatch

%files -n mk-livestatus
%defattr(-,root,root)
%doc livestatus-README.SUSE
%dir %attr(-,%{nagios_user},%{nagios_command_group})
%{_bindir}/unixcat
%{livestatus_vardir}/packages/check_mk
%verify(not mode) %{livestatus_vardir}/packages/check_mk
%dir %attr(-,%{nagios_user},%{nagios_command_group}) %{livestatus_socketdir}
%dir %verify(not mode) %attr(-,%{nagios_user},%{nagios_command_group}) %{livestatus_socketdir}
#%config(noreplace) %{_sysconfdir}/permissions.d/mk-livestatus
%{livestatus_libdir}/livestatus.o
%{livestatus_libdir}/livestatus-nagios4.o

%files agent
%defattr(-,root,root)
%doc %{_defaultdocdir}/check_mk_agent
%{_bindir}/check_mk_agent
%{_bindir}/waitmax
%{_bindir}/mk-job
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%{_unitdir}/%{name}-agent@.service
%{_unitdir}/%{name}-agent.socket
%endif
%dir %{livestatus_agentslibdir}
%dir %{livestatus_agentslibdir}/job
%dir %{livestatus_agentslibdir}/local
%dir %{livestatus_agentslibdir}/plugins
%config(noreplace) %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/check_mk-service

%files caching-agent
%defattr(-,root,root)
%{_bindir}/check_mk_caching_agent
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}-caching
%if 0%{?suse_version} >= 1210 || 0%{?rhel} >= 7
%{_unitdir}/%{name}-caching-agent@.service
%{_unitdir}/%{name}-caching-agent.socket
%endif

%files agent-logwatch
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/mk_logwatch
%config(noreplace) %{livestatus_sysconfdir}/logwatch.cfg
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/logwatch

%files agent-mysql
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/mk_mysql
%config(noreplace) %attr(0400,%{nagios_command_user},%{nagios_command_group}) %{livestatus_sysconfdir}/mysql.cfg

%files agent-oracle
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/mk_oracle
%config(noreplace) %{livestatus_sysconfdir}/sqlplus.sh

%files agent-smart
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/smart

%files agent-jolokia
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/mk_jolokia
%config(noreplace) %{livestatus_sysconfdir}/jolokia.cfg

%files agent-apache_status
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/apache_status
%config(noreplace) %{livestatus_sysconfdir}/apache_status.cfg

%files multisite
%defattr(-,root,root,-)
%dir %{_sysconfdir}/sudoers.d
%{livestatus_datadir}/web
%config(noreplace) %{_sysconfdir}/apache2/conf.d/*.conf
%config(noreplace) %attr(0660,%{nagios_command_user},%{nagios_command_group}) %{nagios_sysconfdir}/auth.serials
%config(noreplace) %{_sysconfdir}/sudoers.d/multisite
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/wato
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/wato/log
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/wato/snapshots
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/web
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_check_mk_configdir}/wato
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_check_mk_configdir}/multisite.d
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_sysconfdir}/multisite.d
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_sysconfdir}/multisite.d/wato


%files vsphere
%defattr(-,root,root,-)
%dir %{livestatus_datadir}/agents/special

%files -n mkeventd
%defattr(-,root,root,-)
%doc permissions.mkeventd
%{_sysconfdir}/init.d/mkeventd
%{_sbindir}/rcmkeventd
%{_bindir}/mkevent
%{_bindir}/mkeventd
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_sysconfdir}/multisite.d
%config(noreplace) %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_sysconfdir}/multisite.d/mkeventd.mk
%dir %{nagios_libdir}
%dir %{nagios_plugindir}
%{nagios_plugindir}/check_mkevents
%attr(0754,root,root)%{_bindir}/mkeventd_open514

%changelog
* Sat Jan 24 2015 obs@botter.cc
- agent:
  + add systemd unit files for socket activation of agent instead of
    using xinetd activation
  + add separate package for caching-agent
  + add SuSEfirewall2 service for check_mk-agent
- logwatch:
  + add logwatch dir to vardir, as logwatch keeps track of logfiles
    there
- multisite:
  + move livestatus_webdir back to /var/lib/check_mk/web (from upstream)
  + include wato dirs in multisite subpackage
  + add %%{livestatus_vardir}/web
  + add %%{livestatus_sysconfdir}/multisite.d(/wato)
- mkeventd:
  + fix permission of %%{livestatus_sysconfdir}/multisite.d
* Tue Dec 30 2014 obs@botter.cc
- change nagios_startscript to %%{_sbindir}/rcnagios for versions
  >= 1310, as /etc/init.d/nagios is not available there anymore
* Thu Jul 24 2014 lars@linux-schulserver.de
- add sudoers file for multisite, so apache can run check_mk
- BuildRequire dietlibc for mkeventd binaries
- complete mkeventd package
- try to handle systemd serivce in postun in check_mk-agent
- add compatibility for Nagios 4.x by providing
  livestatus-nagios4.o in /usr/lib/check_mk
- added livestatus-README.SUSE for mk-livestatus package
- install directories before calling setup.sh - otherwise some
  files will not be installed
- move livestatus.o out of the check_mk package
* Fri Jul  4 2014 lars@linux-schulserver.de
- update to 1.2.4p5:
  Core & Setup:
  * 1035 FIX: Do not fail on errors in *.mk files anymore - except
    in interactive mode...
  Checks & Agents:
  * 0994 FIX: agent plugin smart: fixed syntax error
  * 0989 FIX: logwatch.ec: Fix forwarding multiple messages via syslog/TCP...
  * 0943 FIX: if.include: fixed incorrect traffic percentage values
    in the check output of if checks...
  * 1037 FIX: bintec_info: support bintec RXL12500
  * 0827 FIX: lnx_thermal: Not checking active trip points (e.g.
    cooling device triggers) anymore
  Multisite:
  * 1036 FIX: doc/treasures/downtime: fix --url option, better error output
  WATO:
  * 0990 FIX: Fix HTTP error handling in bulk inventory...
  * 1004 FIX: Fix exception when saving rules, caused by empty item
  Event Console:
  * 1040 FIX: Avoid sporadic errors when checking event state in Event Console...
  Livestatus:
  * 0988 FIX: livedump: Fix exception in case no contact groups are
    defined for a service
* Tue Jun 24 2014 darin@darins.net
- update to 1.2.4p4:
  Core & Setup:
  * 0940 SEC: Fixed various core SIGSEGV when using malformed livestatus queries...
  Checks & Agents:
  * 0932 FIX: prediction: fixed bug where predicted levels were not recalculated
  Multisite:
  * 0982 SEC: Fix two XSS weaknesses according to CVSS 8.5 AV:N/AC:M/Au:S/C:C/I:C/A:C...
  * 0983 SEC: Fix security issue in code of row selections (checkboxes) (CVSS 4.9 AV:N/AC:M/Au:S/C:N/I:P/A:P)...
  * 0166 FIX: mobile gui: Fixed colors of command list...
  * 0820 FIX: Fixed wrong NagVis links in "custom links" snapin
  * 0939 FIX: Fixed multisite exception caused by missing explanation text for a AUTODELETE event action
  WATO:
  * 0984 Fix code injection for logged in users via automation url...
    NOTE: Please refer to the migration notes!
  * 0817 FIX: Fixed error during creating new sites in WATO...
- install mk-job
- remove CVE-2014-0243 patches
* Mon Jun  2 2014 lars@linux-schulserver.de
- update to 1.2.4p3:
  Core & Setup:
  * 0888 FIX: Fix SNMP inventory check in simulation mode
  Checks & Agents:
  * 0889 FIX: logwatch: fix case where rule wouldn't be applied...
  * 0832 FIX: solaris_mem: fixed invalid calculation of total swap...
  * 0154 FIX: zfsget: Fixed inventory of filesystems
  * 0155 FIX: mssql_counters: harded check agains odd agent output
  * 0910 FIX: brocade.power: fixed an error where the check reports
    an UNKNOWN on power supply failure...
  Multisite:
  * 0912 FIX: Multisite Views: Fixed bug where custom views could
    not get deleted
  * 0923 FIX: json export: fixed bug not stripping html tags
    from output
  WATO:
  * 0971 FIX: Fix missing authentication of PHP addons in
    D-WATO when activation mode is reload...
  * 0972 FIX: Do not loose site specific global settings anymore
    when chaning a site's configuration...
  Notifications:
  * 0964 FIX: Fix hanging shutdown of CMC on RedHat 5.X...
  BI:
  * 0882 FIX: check_bi_local.py: fix crash in case of non-ascii characters...
  Reporting & Availability:
  * 0890 FIX: Fix availability computation for hosts...
  * 0891 FIX: Fix HTML encoding of tootip in inline timeline of availability
  Event Console:
  * 0902 FIX: event console view: fixed exception on rendering
    host tags for unknown hosts...
  The CMC itself:
  * 8045 FIX: Do no increase notification number on recovery notifications...
  * 8049 FIX: Fix exception of cmcrushd on RedHat 5.X...
- remove CVE-2014-0243 patches: included upstream
* Sat May 31 2014 lars@linux-schulserver.de
- added check_mk-1.2.4p2-CVE-2014-0243-*.patch to fix a security
  problem where any local use can read any file as root.
  see CVE-2014-0243 for details.
* Sat May 17 2014 lars@linux-schulserver.de
- require mysql-client instead of mysql-community-server to allow
  the use of mariadb
* Wed Apr  9 2014 lars@linux-schulserver.de
- disable build of mk-livestatus for Nagios 4: Icinga will be broken
* Tue Apr  8 2014 lars@linux-schulserver.de
- update to 1.2.4.p2:
  This patch release fixes bulk operations in WATO and a memory leak
  in livestatus when working with the statehist table. It also includes
  several important fixes for Inline-SNMP.
  Core & Setup:
  * 0785 FIX: Availability: fixed memory leak in table statehist...
  WATO:
  * 0784 Improved security of WATO bulk inventory by using transaction ids
  * 0781 FIX: host diag page: fixed problem with update of diagnose
    subwindows...
- fix ownership below /var/lib/check_mk/
- building livestatus for Nagios 4+
* Wed Apr  2 2014 lars@linux-schulserver.de
- update to 1.2.4p1:
  + Contains several bugfixes in all components. For a detailed
    list, take a look at /usr/share/doc/packages/check_mk/ChangeLog
  + The most important changes are security patches for two CVEs
    (CVE-2014-2330 and CVE-2014-2331)
- place /usr/share/check_mk/modules/defaults in /etc/check_mk and
  name it check_mk-defaults - this allows us to define this file
  as config file which should not replaced on update
* Wed Mar 12 2014 darin@darins.net
- Add packaging for apache_status plugin
- set require version for agent plugins
* Thu Feb 13 2014 darin@darins.net
- update to 1.2.4
  + Core & Setup:
  * 0682 FIX: Allow overriding of active and custom checks by
    more specific rule...
  * 0267 FIX: Fixed auth.serials permission problem in check_mk
    standalone installation...
  + Checks & Agents:
  * 0694 wut_webtherm: Support new versions of WUT-Thermometer
  * 0688 FIX: winperf_msx_queues: Support output of Exchange 2013
  * 0689 FIX: postgres_sessions: fix empty agent section in case
    of 0 sessions...
  * 0692 FIX: fileinfo: Avoid duplicate entries in Solaris agent
  * 0693 FIX: hpux_lvm: avoid problem when alternative vgdisplay
    is installed
  + Multisite:
  * 0270 FIX: Multisite host tag filter: Now uses exact match
  * 0273 FIX: Fixed exceptions when modifying / cloning views
  * 0274 FIX: Fixed exception when view title or description was
    missing
  + WATO:
  * 0686 FIX: Fix replication with WATO if EC is enabled on master
    and disabled on slave
  * 0129 FIX: Fixed permission bug in "Edit user profile" dialog....
  * 0269 FIX: brocade_fcport: fixed problem on displaying
    check_parameters in WATO
  * 0271 FIX: Fixed sorting in duallist element
    (two lists with interchangable elements)
  * 0131 FIX: Error rates for network interfaces can now be set
    smaller then 0.1 when using Wato
  * 0690 FIX: Fix language jumping to German when saving user
    profiles
  * 0666 FIX: Minimum port for the mknotifyd is now 1024
    (never use well known ports)
  + Notifications:
  * 0133 FIX: Fixed mkeventd notification plugin
  + Livestatus:
  * 0276 nagios4 livestatus support
  See ChangeLog for a complete listing of changes since 1.2.2p3
- update setup.sh.patch for 1.2.4
- remove livecheck
- add vsphere package to handle python-pysphere depends
* Mon Nov 18 2013 darin@darins.net
- Add packaging for Jolokia plugin
* Wed Nov 13 2013 darin@darins.net
- set ownership on mysql.cfg and mkeventd_open514 for sles
* Wed Nov 13 2013 darin@darins.net
- update to 1.2.2p3
  + Core
  * get_average(): Gracefully handle time anomlies of target systems
  * notifications: /var/lib/check_mk/notify directory is now created
    correctly during setup from tgz file.
    (Without it notifications did not get sent out.)
  * add missing $DESTDIR to auth.serials in setup.sh
  + Checks & Agents
  * winperf_processor: fix case where CPU percent is exactly 100%%
  * blade_powerfan: fix mixup of default levels 50/40 -> 40/50
  * Cleaned up graph rendering of Check_MK services
  * zypper: deal with output from SLES 10
  * zpool_status: Ignoring "No known data errors" text
  * dmi_sysinfo: Handling ":" in value correctly
  * check_http: Fixed syntax error when monitoring certificates
  * check_dns: parameter -A does not get an additional string
  * diskstat: Fixed wrong values for IO/s computation on linux hosts
  * blade_healts: Fixed wrong index checking resulting in exceptions
  * notifications: /var/lib/check_mk/notify directory is now created
    correctly during setup from tgz file.
    (Without it notifications did not get sent out.)
  + Multisite
  * LDAP: Disabling use of referrals in active directory configuration
  * Fixed missing roles in auth.php (in some cases) which resulted in non
    visible pnp graphs and missing nagvis permissions
  * Fixed label color of black toner perfometers when fuel is low
  * Fixed wrong default settings of view filters in localized multisite
  * Fixed exception when enabling sounds for views relying on e.g. alert
    statistics source
  * Folder Tree Snapin: make folder filter also work for remote folders that
    do not exist locally
  * correctly display sub-minute check/retry intervals
  * fix logic of some numeric sorters
  * Improved user provided variable validation in view code
  * Escaping html code in plugin output painters
  + WATO
  * fix layout of Auxiliary tags table
  * avoid exception when called first time and first page ist host tags
  * fix validation of time-of-day input field (24:00)
  * automation users can now be deleted again (bug was introduced in 1.2.2p1)
  * fix logwatch pattern analyzer message "The host xyz is not managed by WATO."
    after direct access via snapin
  * Fixed first toggle of flags in global settings when default is set to True
  * fix exception and loss of hosts in a folder when deleting all site
    connections of a distributed WATO setup
  * avoid Python exception for invalid parameters even in debug mode
  * check_ldap: Removed duplicate "-H" definition
  * Fixed some output encoding problem in snapshot restore / deletion code
  * Improved user provided variable validation in snapshot handling code
  * Improved user provided variable validation in inventory dialog
  + Event Console
  * apply rewriting of application/hostname also when cancelling events
  * check_mkevents now uses case insensitive host name matching
  + Livestatus
  * fixed incorrect output formatting of comments_with_info column
    table statehist: fixed memory leak
- Add support for systemd
- Add %%defattr for mkeventd %%files
- slight mod to setup.sh.pathch
* Fri Aug  9 2013 darin@darins.net
- no source8 committed to OBS which is causing build failures
* Thu Jul 18 2013 lars@linux-schulserver.de
- fix permissions file handling
- recommend monitoring_daemon instead of nagios on openSUSE
- use RPM macros to create needed users and groups
- install permissions file for check_mk
- point users to 'chkstat --system --set' on newer systems
* Thu Jun 27 2013 opensuse@pennewiss.de
- Added packaging for MySQL plugin
* Tue Jun 25 2013 opensuse@pennewiss.de
- Added packaging for SMART plugin
* Mon Jun 17 2013 darin@darins.net
- update to 1.2.2p2
- enabled mkeventd and packaging
- patch setup.sh to resolve chown issues
- added permissions.mkeventd for setting its permissions
* Tue Jun  4 2013 darin@darins.net
- use %%run_permissions if older then suse 1140
* Fri Apr 12 2013 darin@darins.net
- adjust %%set_permission so it's only run on SUSE
* Fri Apr 12 2013 darin@darins.net
- Added missing %%livestatus_socketdir
- Added auth.serial to multisite
- Use %%set_permissions set perms on /etc/nagios/htpasswd.users for
  multisite/WATO
- adjust for new rpm macros
* Mon Apr  8 2013 darin@darins.net
- update top 1.2.2
  + Core
  * Added $HOSTURL$ and $SERVICEURL$ to notification macros
    which contain an URL to the host/service details views with
    /check_mk/... as base.
  Checks & Agents
  * FIX: blade_bx_load: remove invalid WATO group
  * FIX: lnx_bonding: handle also 802.3ad type bonds
  Notifications
  * FIX: Removing GRAPH_CODE in html mails when not available
  * Using plugin argument 1 for path to pnp4nagios index php to
    render graphs
  * Little speedup of check_mk --notify
  Multisite
  * FIX: Fixed umlaut handling in reloaded snapins
  WATO
  * FIX: Fix several cases where WATO rule analyser did not
    hilite all matching rules
  * Added tcp port parameter to SSL certificate check
  Event Console
  * FIX: Syslog server is now able to parse RFC 5424 syslog
    messages
* Fri Mar  8 2013 joop.boonen@opensuse.org
- Repacked source with livecheck.c build fix for openSUSE > 12.2
  +#include <sys/resource.h>
- Fixed cross distro build
* Tue Feb 12 2013 darin@darins.net
- update to 1.2.0p4
  +WATO
  * fixed detection of existing groups when creating new groups
  * allow email addresses like test@test.test-test.com
  * Fixed Password saving problem in user settings
  +Checks & Agents
  * postgres_sessions: handle case of no active/no idle sessions
  * winperf_processor: handle parameters "None" (as WATO creates)
  * mssql_counters: remove debug output, fix bytes output
  * mssql_tablespaces: gracefully handle garbled agent output
  +Multisite
  * performeter_temparature now returns unicode string,
    because of °C
  * output_format json in webservices now using " as quotes
  +Livestatus
  * fix two problems when reloading module in Icinga (
    thanks to Ronny Biering) Mulitisite
* Wed Dec 19 2012 lars@linux-schulserver.de
- install a permissions file in /etc/permissions.d/ to allow
  creating the livestatus socket as icinga user. Enhanced
  the documentation (README.SuSE) for this.
* Thu Oct 11 2012 darin@darins.net
- update to 1.2.0p3
  + Mulitisite:
  * Added "view" parameter to dashlet_pnpgraph webservice
  + WATO:
  * FIX: It is now possible to create clusters in empty folders
  * FIX: Fixed problem with complaining empty ListOf() valuespecs
  + Livestatus:
  * FIX: comments_with_info in service table was always empty
* Thu Jul 12 2012 darin@darins.net
- added missing %%{livestatus_vardir}/wato directories
- fix perms on %%{livestatus_vardir}/wato
* Wed Jul 11 2012 lars@linux-schulserver.de
- update to 1.2.0p2:
  + Core:
  * simulation_mode: legacy_checks, custom_checks and active_checks
    are replaced with dummy checks always being OK
  * FIX: Precisely define order of reading of configuration files. This
    fixes a WATO rule precedence problem
  + Checks & Agents:
  * FIX: Fixed syntax errors in a bunch of man pages
  * if_lancom: silently ignore Point-To-Point interfaces
  * if_lancom: add SSID to logical WLAN interface names
  * Added a collection of MSSQL checks for monitoring MSSQL servers
    (backups, tablespaces, counters)
  * New check wut_webio_io: Monitor the IO input channels on
    W&T Web-IO devices
  * nfsmounts: reclassify "Stale NFS handle" from WARN to CRIT
  * ORACLE agent/checks: better error handling. Let SQL errors get
    through into check output, output sections even if no database
    is running.
  * oracle_version: new check outputting the version of an ORACLE
    database - and using uncached direct SQL output.
  * ORACLE agent: fix handling of EXCLUDE, new variable ONLY_SIDS
    for explicitely listing SIDs to monitor
  * mk_logwatch on Linux: new options regex and iregex for file selection
  * remove obsolete ORACLE checks where no agent plugins where available
  * FIX: printer_supply: Fix problem on DELL printers with "S/N" in output
    (thanks to Sebastian Talmon)
  * FIX: winperf_phydisk: Fix typo (lead to WATO rule not being applied)
  * Windows agent: new [global] option crash_debug (see online docu)
  * AIX agent: new check for LVM volume status in rootvg.
  + Multisite:
  * Show number of rows and number of selected rows in header line
    (also for WATO hosts table)
  * FIX: fix problem in showing exceptions (due to help function)
  * FIX: fixed several localization problems in view/command processing
  * FIX: fixed duplicated settings in WATO when using localisation
  * FIX: fixed exception when refering to a language which does not exist
  * FIX: Removing all downtimes of a host/service is now possible again
  * FIX: The refresh time in footer is updated now when changing the value
  * FIX: view editor shows "(Mobile)" hint in view titles when linking to views
  + WATO:
  * Main menu of ruleeditor (Host & Service Parameters) now has
    a topic for "Used rules" - a short overview of all non-empty
    rulesets.
  * FIX: add missing context help to host details dialog
  * FIX: set new site dirty is host move due to change of
    folder attributes
  * FIX: fix exception on unknown value in DropdownChoice
  * FIX: add service specification to ruleset Delay service notifications
  * FIX: fixed problem with disabled sites in WATO
  * FIX: massive speedup when changing roles/users and activing changes
    (especially when you have a larger number of users and folders)
  * Add variable CONTACTPAGER to allowed macros in notifications
  * FIX: fixed default setting if "Hide names of configuration variables"
    in WATO
  * FIX: ListOfString Textboxes (e.g. parents of folders) do now extend in IE
  + BI:
  * New iterators FOREACH_CHILD and FOREACH_PARENT
  * FIX: fix handling of FOREACH_ in leaf nodes (remove hard coded
    $HOST$, replace with $1$, $2$, ..., apply argument substitution)
  * New logical datatable for aggregations that have the same name
    as a host. Converted view "BI Boxes" to this new table. This allows
    for Host-Aggregations containing data of other hosts as well.
  * count_ok: allow percentages, e.g. "count_ok!70%%!50%%"
- add more README* and *.bat files for other Operating Systems to
  the rpmlintrc file
* Wed Jun 27 2012 darin@darins.net
- export wwwuser
- fix setup.sh to make proper sudo call from wato
* Wed Jun 27 2012 darin@darins.net
- replace _datarootdir macro with _datadir so is builds on SLE
- added conditional unzip buildrequire for SLE
- suppress bytecode version test for SLE
  http://en.opensuse.org/openSUSE:Packaging_Java#bytecode_version_error
* Wed Jun  6 2012 darin@darins.net
- update to 1.2.0p1
  + Core
    Added macros $DATE$, $SHORTDATETIME$ and $LONGDATETIME$' to notification macros
  + Checks & Agents
    FIX: diskstat: handle output 'No Devices Found' - avoiding exception
  + Multisite
    FIX: fix severe exception in all views on older Python versions (like RedHat 5.5).
  +WATO
    FIX: fix order of rule execution: subfolders now take precedence as they should.
-- 1.2.0 changes
  + Setup
    FIX: fix building of RPM packages (due to mk_mysql, mk_postgres)
  + Core
    FIX: fix error message in case of duplicate custom check
  + WATO
    FIX: add missing icon on cluster hosts to WATO in Multisite views
    FIX: fix search field in host table if more than 10 hosts are shown
    FIX: fix bulk edit and form properties (visibility of attributes was broken)
    FIX: fix negating hosts in rule editor
  + Checks & Agents
    fileinfo: added this check to Linux agent. Simply put your file patterns into /etc/check_mk/fileinfo.cfg for configuration.
    mysql.sessions: New check for MySQL sessions (need new plugin mk_mysql)
    mysql.innodb_io: New check for Disk-IO of InnoDB
    mysql_capacity: New check for used/free capacity of MySQL databases
    postgres_sessions: New check for PostgreSQL number of sessions
    postgres_stat_database: New check for PostgreSQL database statistics
    postgres_stat_database.size: New check for PostgreSQL database size
    FIX: hpux_if: convert_to_hex was missing on non-SNMP-hosts -replace with inline implementation
    tcp_conn_stats: handle state BOUND (found on Solaris)
    diskstat: support for checking latency, LVM and VxVM on Linux (needs updated agent)
    avoid duplicate checks cisco_temp_perf and cisco_sensor_temp
- updated check_mk-no_chgrp.patch for 1.2.0
- various %%files updates
-- check_mk_templates.cfg move from $docdir to %%{_datarootdir}/check_mk
-- removed %%pnp4nagios_sysconfdir, RRA-configuration files dropped in version 1.1.13i1
-- added livecheck, added version 1.1.13i1
-- add dirs for wato
- add export for check_result_path
- added README.SUSE doc
- add %%fdupes to cleanup images/icons
- include and add FollowSymlinks in the apache config
* Fri May  4 2012 darin@darins.net
- updated .spec to use command %%macros consistently
* Tue Feb 28 2012 darin@darins.net
- update to 1.1.12p7
  + Core, Setup, etc.
    FIX: honor extra_summary_host_conf (was ignored)
    FIX: handle buggy SNMP devices with non-consecutive OIDS (such as BINTEC routers)
  + Multisite
    FIX: detail view of host was missing column headers
    FIX: fix problem on IE with background color 'white'
    FIX: fix hitting enter in host search form on IE
    FIX: fix problem in ipmi_sensors perfometer
  + Checks & Agents
    FIX: fixed man pages of h3c_lanswitch_sensors and statgrab_cpu
    FIX: netapp_volumes: added raid4 as allowed state (thanks to Michaël Coquard)
    FIX: HP-UX Agent: fix mrpe (remove echo -e and test -e, thanks to Philipp Lemke)
    FIX: ntp checks: output numeric data also if stratum too high
    FIX: if/if64: omit check result on counter wrap if bandwidth traffic levels are used.
    FIX: hpux_if: fix missing default parameter errors
    FIX: fix inventory of f5_bigip_temp
    hr_mem: handle rare case where more than one entry is present (this prevents an exception of pfSense) Livestatus
    FIX: fix type column in 'GET columns' for dict-type columns (bug found by Gerhard Lausser)
- Added packaging for oracle plugin
- Changed source from bz2 to gz so there's no need to recompress
- Set license to an OSI compliant per:
    http://en.opensuse.org/openSUSE:Packaging_guidelines#Licensing
    http://en.opensuse.org/openSUSE:Accepted_licences
* Fri Feb  3 2012 darin@darins.net
- Added missing cache, counters, logwatch, rrd, and web directories
  which belong under /var/lib/check_mk to %%files
- Create /var/lib/check_mk/rrd in %%install
* Thu Jan  5 2012 darin@darins.net
- Reinserted installation of mk_logwatch in %%install so it's
  installed to the correct location
- Update agent-logwatch %%files to reflect the proper installation
  location of mk_logwatch
* Tue Jan  3 2012 darin@darins.net
- Updated to 1.1.12p6
- Removed agent Recommends which triggered the automatic selection of
  "check_mk nagios nagios-plugins nagios-www" upon installation of agent.
* Tue Dec 13 2011 lars@linux-schulserver.de
- update to 1.1.12p4:
  + Multisite:
    FIX: sidebar snapin Hostgroups and Servicegroups sometimes
    failed with non-existing "available_views".
    FIX: Fix host related WATO context button links to point
    to the hosts site
    FIX: Fixed view editor redirection to new view after changing
    the view_name
    FIX: Made icon painter usable when displaying hostgroup rows
    Logwatch: Switched strings in logwatch to i18n strings
    Logwatch: Fixed styling of context button when acknowleding
    log messages
    Logwatch: Implemented overview page to show all
    problematic logfiles
  + WATO:
    FIX: add missing icon_csv.png
    FIX: WATO did not write values of custom macros to
    extra_host_conf definitions
* Tue Nov 29 2011 lars@linux-schulserver.de
- update to 1.1.12p3:
  + Core, Setup, etc.
    FIX: really suppress precompiling on PING-only hosts now
    FIX: fix handling of empty suboids
    FIX: do not create precomiled checks for host without
    Check_MK services
    FIX: fix aggregate_check_mk (Summary host agent status)
  + Multisite
    FIX: fix critical but with missing "wato_enabled". You can now
    set "wato_enabled = False" in multisite.mk in order to
    completely disable WATO.
    FIX: Fixed styling of view header in older IE browsers
    FIX: Do not show WATO button in views if WATO is disabled
    FIX: Remove WATO Folder filter if WATO is disabled
    FIX: Snapin 'Performance': fix text align for numbers
    FIX: Disallow setting downtimes that end in the past
    FIX: Fix links to downtime services in dashboard
    FIX: Fix popup help of reschedule icon
    FIX: finally fixed long-wanted "NagStaMon create hundreds
    of Apache processes" problem!
    FIX: query crashed when sorting after a join columns without an
    explicit title.
    FIX: filter for WATO file/folder was not always working.
    Added filter for hard services states to search and service
    problems view
    FIX: Added id parameter to render_statistics() method to allow
    more than one pie dashlet for host/service stats
    FIX: dashboard problem views now ignore notification period, just
    as tactical overview and normal problem views do
    FIX: Fixed styling of view header in older IE browsers
    FIX: Loading dashboard plugins in dashboard module
  + Checks & Agents
    FIX: mem.win: Default levels now works, check not always OK
    FIX: blade_health: fix OID specification
    FIX: blade_bays: fix naming of item and man page
    FIX: mk_oracle now also detects XE databases
    FIX: printer_alerts: handle 0-entries of Brother printers
    FIX: printer_supply: fix Perf-O-Meter if no max known
    FIX: Added id parameter to render_statistics() method to allow
    more than one pie dashlet for host/service stats
    FIX: drbd: fixed inventory functions
    FIX: printer_supply: handle output of Brother printers
    FIX: ps.perf PNP template: show memory usage per process and not
    summed up. This is needed in situations where one process
    forks itself in irregular intervals and rates but you are
    interested just in the memory usage of the main process.
* Sun Nov  6 2011 lars@linux-schulserver.de
- complete rewrite of the package based on the work from deadpoint:
  + use the setup.sh script to build all needed things and export
    the needed variables for building during %%%%install
- update to 1.1.12
- split into the following (sub-)packages:
  + check_mk (main package)
  + check_mk-multisite (multiside web GUI)
  + check_mk-agent-logwatch (logwatch extension for agent)
  + check_mk-agent (linux agent)
  + mk-livestatus (access Nagios status data)
* Fri Nov 13 2009 cschneemann@suse.de
- initial packaging
